<?php declare(strict_types=1);

namespace App\Enum;

enum CpuArchitectureEnum: string {
	case X86 = 'x86';
	case X86_64 = 'x86_64';
	case ARM = 'arm';
	case ARM64 = 'arm64';
	case POWER_PC = 'PowerPC';
	case POWER = 'IBM POWER';
	case SIXTY_EIGHT_K = 'Motorola 68k';
	case RISC_V = 'RISC V';
	case MIPS = 'MIPS';
	case SIX_FIVE_OH_TWO = 'MOS 6502';
	case Z80 = 'Z80';
	case EIGHT_OH_EIGHT_EIGHT = 'Intel 8088';
	case EIGHT_OH_186 = 'Intel 80186';
}
