<?php

namespace App\Form;

use App\Entity\Cpu;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class CpuType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('architecture')
            ->add('productLine')
            ->add('model')
            ->add('partNumber')
            ->add('lotNumber')
            ->add('microArchitecture')
            ->add('codeName')
            ->add('baseSpeed')
            ->add('boostSpeed')
            ->add('cores')
            ->add('threads')
            ->add('igp')
            ->add('voltage')
            ->add('tdp')
            ->add('processNode')
            ->add('count')
            ->add('usable')
            ->add('received')
            ->add('link')
            ->add('notes')
            ->add('L1Count')
            ->add('L1dSize')
            ->add('L1cSize')
            ->add('L1uSize')
            ->add('L1Way')
            ->add('L2Count')
            ->add('L2Size')
            ->add('L2Way')
            ->add('L3Count')
            ->add('L3Size')
            ->add('L3Way')
            ->add('brand')
            ->add('sockets')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Cpu::class,
        ]);
    }
}
